#-*-coding:utf8;-*-
#qpy:2
#qpy:kivy

from kivy.app import App
from kivy.uix.widget import Widget
from kivy.graphics import Color, Ellipse, Line, Rectangle
from kivy.uix.label import Label
from kivy.clock import Clock 
from kivy.core.window import Window
import math
import numpy as np

import androidhelper, time

Window.clearcolor = (1, 1, 1, 1)

class MyCanvas(Widget):
    p = np.array([400, 800])
    v = np.array([5,-5])
    rx = 200
    rxold = 200
    def update(self, dt):
        with self.canvas:
            self.canvas.clear()  
            p = MyCanvas.p
            v = MyCanvas.v
            rx = MyCanvas.rx
            rxold = MyCanvas.rxold
            rd = 200
            Color(0.5, 0.5, 0.5)
            Rectangle(pos=(rx-rd/2, 200), size=(rd, 80))
            if p[1]<0:
                Window.clearcolor = (0.5, 0.5, 0.5, 0.5)
                v = 0
                Label(pos=(self.center_x, self.center_y), text='Game Over', color=(0,0,0), font_size=150)
            bd = 30
            Color(0, 0, 0)
            Ellipse(pos=p, size=(bd, bd))
            if (rx-rd/2<p[0])and(rx+rd/2>p[0]) and (p[1]<200+80-bd/2) and (p[1]>200) and (v[1]<0):
                MyCanvas.v[1] = (abs(rx-rxold)+10)
            p += v
            if (p[0]<0) or (p[0]>self.center_x*2-bd) :
                MyCanvas.v[0] = -v[0]
            if (p[1]>self.center_y*2-bd) :
                MyCanvas.v[1] = -v[1]
            MyCanvas.rxold = MyCanvas.rx

    def on_touch_move(self, touch):
        with self.canvas:
            MyCanvas.rx = touch.x

class MyCanvasApp(App):
    def build(self):
        mycavas = MyCanvas()
        Clock.schedule_interval(mycavas.update, 1.0 / 60.0)
        return mycavas
       
if __name__ == '__main__':
    MyCanvasApp().run()
