#-*-coding:utf8;-*-
#qpy:2
#qpy:kivy

from kivy.app import App
from kivy.uix.widget import Widget
from kivy.graphics import Color, Ellipse, Line, Rectangle
from kivy.uix.label import Label
from kivy.clock import Clock 
from kivy.core.window import Window
import math
import numpy as np

import androidhelper, time

Window.clearcolor = (1, 1, 1, 1)

droid = androidhelper.Android()
droid.startSensingTimed(1,500)

class MyCanvas(Widget):
    p = np.array([100,100])
    v = np.array([0,0])
    def update(self, dt):
        with self.canvas:
            self.canvas.clear()  
            Color(0, 0, 0)
            d = 30
            p = MyCanvas.p
            v = MyCanvas.v
            r = droid.sensorsReadAccelerometer().result
            a = np.array([0,0])
            a[0] = -r[0]
            a[1] = -r[1]
            v += a*1
            Ellipse(pos=p, size=(d, d))
            p += v*0.1
            MyCanvas.p = p
            MyCanvas.v = v
            if (p[0]<0) or (p[0]>self.center_x*2-d) :
                Window.clearcolor = (0.5, 0.5, 0.5, 0.5)
            if (p[1]<0) or (p[1]>self.center_y*2-d) :
                Window.clearcolor = (0.5, 0.5, 0.5, 0.5)

class MyCanvasApp(App):
    def build(self):
        mycavas = MyCanvas()
        Clock.schedule_interval(mycavas.update, 1.0 / 60.0)
        return mycavas
       
if __name__ == '__main__':
    MyCanvasApp().run()
