# -*- coding: utf-8 -*-
import mysql.connector
from mysql.connector import errorcode

DB_NAME = 'kakeibodata'

TABLE = '''
    CREATE TABLE kakeibo ( 
        buy_date date NOT NULL, 
        week varchar(14) NOT NULL,
        cate varchar(14) NOT NULL,
        things varchar(16) NOT NULL,
        price int(10) NOT NULL
       ) ENGINE=InnoDB
'''

cnx = mysql.connector.connect(user='scott', password='tiger')
cursor = cnx.cursor()


def create_database(cursor):
    try:
        cursor.execute("CREATE DATABASE {} DEFAULT CHARACTER SET 'sjis'".format(DB_NAME))
    except mysql.connector.Error as err:
        print("Failed creating database: {}".format(err))
        exit(1)


try:
    cursor.execute("USE {}".format(DB_NAME))
except mysql.connector.Error as err:
    if err.errno == errorcode.ER_BAD_DB_ERROR:
        create_database(cursor)
        cnx.database = DB_NAME
    else:
        print(err)
        exit(1)


try:
    cursor.execute(TABLE)
except mysql.connector.Error as err:
    if err.errno == errorcode.ER_TABLE_EXISTS_ERROR:
        print("already exists.")
    else:
        print(err.msg)
else:
    print("OK")

cursor.close()
cnx.close()
