# -*- coding: utf-8 -*- 
# Bollinger Bands
# # https://en.wikipedia.org/wiki/John_Bollinger
import numpy as np
import pandas as pd
import matplotlib.pylab as plt
import matplotlib

matplotlib.rcParams['font.family'] ='Yu Mincho' # matplotlibで日本語を使う

df0 = pd.read_csv('N225.csv', index_col='Date', parse_dates=[0])
df = df0[df0['Open'].notnull()] # Nullがある行を削除
df = df.sort_index() # 日付を昇順に並び替えます

item = 'Close'
win = 25
# 実データ
ax = df[item].plot(label=item, color='black', linestyle='solid')
# 平均と標準偏差
rolm = df[item].rolling(window=win).mean()
rolst = df[item].rolling(window=win).std()
m = 2
upper_band = rolm + rolst*m
lower_band = rolm - rolst*m

rolm.plot(ax=ax, label='移動平均25日', color='green', linestyle='solid')
upper_band.plot(ax=ax, label='Upper band', color='red', linestyle='dashed')
lower_band.plot(ax=ax, label='Lower band', color='blue', linestyle='dashed')

plt.grid()
plt.legend(loc='upper right')
plt.show()