# -*- coding: utf-8 -*- 
# rolling and ewm
# 
# http://pandas.pydata.org/pandas-docs/version/0.20.3/computation.html
import numpy as np
import pandas as pd
import matplotlib.pylab as plt
import matplotlib

matplotlib.rcParams['font.family'] ='Yu Mincho' # matplotlibで日本語を使う

df0 = pd.read_csv('N225.csv', index_col='Date', parse_dates=[0])
# メッソド".notnull()"はNan(null)データが無い行を返す。
# データが無い日は，Open, High, Low, Close　全て同じであるから，ここでは'Open'を用いる
df = df0[df0['Open'].notnull()]
df = df.sort_index() # 日付を昇順に並び替えます

item='Close'
ax = df[item].plot(color='black', label=item)
rol = df[item].rolling(window=25).mean()
rol.plot(ax=ax, label='移動平均25日', color='red', linestyle='dashed')

ewm = df[item].ewm(span=25).mean()
ewm.plot(ax=ax, label='指数移動平均スパン25', color='green', linestyle='dashed')
plt.grid()
plt.legend(loc='upper left')
plt.show()
