# -*- coding: utf-8 -*- 
# read_csv http://pandas.pydata.org/pandas-docs/stable/generated/pandas.io.parsers.read_csv.html
# DataFrama http://pandas.pydata.org/pandas-docs/dev/generated/pandas.DataFrame.html
import numpy as np
import pandas as pd
import matplotlib.pylab as plt
import matplotlib

matplotlib.rcParams['font.family'] ='Yu Mincho' # matplotlibで日本語を使う

df = pd.read_csv('KakeiboData.csv', index_col='Date', parse_dates=[0], \
        encoding='shift_jis', names=('Date','Day','Item','Content','Expense'))
df_drop = df.drop('Content', axis=1) # 列の削除、azis=1は列の削除を指定

#期間の指定，月毎に分ける
df04=df['20170401':'20170430']
df05=df['20170501':'20170531']
df06=df['20170601':'20170630']

sum04=df04.groupby('Item').sum()
print('4月の支出\n',sum04,'\n')
sum05=df05.groupby('Item').sum()
print('5月の支出\n',sum05,'\n')
sum06=df06.groupby('Item').sum()
print('6月の支出\n',sum06,'\n')

#クロス集計(Cross table)
ctab1 = df_drop.pivot_table(index=['Item'], values=['Expense'], aggfunc='sum')
print('項目(Item)と総支出(sum total of Expense)のクロス集計\n', ctab1, '\n')

ctab2 = df_drop.pivot_table(index=['Item'], columns=['Day'], aggfunc='count', fill_value=0)
ctab3 = ctab2.Expense[['Mon','Tue','Wed','Thu','Fri','Sat','Sun']] #曜日順に並び替える
print('項目(Item)と曜日(Day)のクロス集計\n',ctab3, '\n')

#4月の支出のグラフ表示
indx='Expense'
sum04[indx].plot(kind='bar', rot=45, label=indx)
plt.legend(loc='upper left')
plt.show()

