# -*- coding: utf-8 -*-
import cv2
import numpy as np

# トラックバー(trackbar)の位置が変更されたときのコールバック関数
def update(threshVal):
    retVal, img_bin = cv2.threshold(img_gry, threshVal, 255, type=cv2.THRESH_BINARY)
    h = int(img_gry.shape[0]*VIEW_SCALE)
    w = int(img_gry.shape[1]*VIEW_SCALE)
    cv2.imshow(WIN_TITLE_BIN, cv2.resize(img_bin,(h,w)))

if __name__ == '__main__':
    WIN_TITLE_BIN = 'Binary Image' # 2値画像，ウィンドウのタイトル
    VIEW_SCALE = 0.5   #ウィンドウの大きさのスケールファクター
    threshold = 128    # しきい値の初期値

    img_org = cv2.imread('SanDiego.tiff') # 入力画像
    img_gry = cv2.cvtColor(img_org, cv2.COLOR_BGR2GRAY) # グレイスケール画像
    h = int(img_gry.shape[0]*VIEW_SCALE)
    w = int(img_gry.shape[1]*VIEW_SCALE)
    cv2.imshow('Original Image', cv2.resize(img_org,(h,w)))
    cv2.imshow('Gray Scale Image', cv2.resize(img_gry,(h,w)))
    update(threshold) # ウィンドウを表示して cv2.createTrackbar()が使える状態にする
    cv2.createTrackbar('threshold', WIN_TITLE_BIN, threshold, 255, update)
    print("Hit any key to terminate")
    cv2.waitKey(0)
    cv2.destroyAllWindows()

