# -*- coding: utf-8 -*-
# Edge Detection based on Canny method
# Usage Canny ,  two threshold are defined based on
# http://docs.opencv.org/3.0-beta/doc/py_tutorials/py_imgproc/py_canny/py_canny.html#canny
# http://en.wikipedia.org/wiki/Canny_edge_detector
# http://opencv.jp/opencv-2.1/cpp/feature_detection.html?highlight=canny#Canny
import cv2

def EdgeDetectionCanny (f_name):
    img = cv2.imread( f_name, 0 ) # 0 means read image as GRAY_SCALE
    edge = cv2.Canny(img, 80, 120)

    cv2.imshow('Gray Scale Image', img)
    cv2.imshow('Canny Algorithm', edge)
    cv2.waitKey(0)

    cv2.destroyAllWindows()
    return 0
if __name__ == "__main__":
    f_name = 'Pepper.tiff'
    rc = EdgeDetectionCanny(f_name)